diff --git a/Makefile.am b/Makefile.am
index 94aecf5..72f628d 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -3,6 +3,8 @@ MAINTAINERCLEANFILES = \
 	Makefile.in \
 	config.h.in \
 	config.h.in~ \
+	chromium-bsu-config.h.in \
+	chromium-bsu-config.h.in~ \
 	config.sub \
 	config.guess \
 	aclocal.m4 \
diff --git a/configure.ac b/configure.ac
index 2fd5c47..cb4609f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,7 +7,7 @@ AC_INIT([Chromium B.S.U.], [0.9.14.1], [http://sf.net/projects/chromium-bsu/bugs
 AM_INIT_AUTOMAKE([foreign])
 
 AC_CONFIG_SRCDIR([src/main.cpp])
-AM_CONFIG_HEADER([config.h])
+AM_CONFIG_HEADER([chromium-bsu-config.h])
 
 # Programs
 AC_PROG_CXX
@@ -148,7 +148,7 @@
 fi
 
 if test "x$TEXT_TYPE" = xGLC -a "x$FONT_NAME" != x ; then
-	TEXT_CFLAGS+=" -DFONT_NAME=\"\\\"$FONT_NAME\\\"\""
+	TEXT_CFLAGS="$TEXT_CFLAGS -DFONT_NAME=\"\\\"$FONT_NAME\\\"\""
 	AC_SUBST(TEXT_CFLAGS)
 	FONT="$FONT_NAME"
 elif test "x$TEXT_TYPE" = xGLC ; then
@@ -156,18 +156,18 @@
 fi
 
 if test "x$TEXT_TYPE" = xFTGL -a "x$FONT_PATH" != x ; then
-	TEXT_CFLAGS+=" -DFONT_PATH=\"\\\"$FONT_PATH\\\"\""
+	TEXT_CFLAGS="$TEXT_CFLAGS -DFONT_PATH=\"\\\"$FONT_PATH\\\"\""
 	AC_SUBST(TEXT_CFLAGS)
 	FONT="$FONT_PATH "
 fi
 
 if test "x$TEXT_TYPE" = xFTGL -a "x$HAVE_FONTCONFIG" = xyes ; then
 	AC_DEFINE(HAVE_FONTCONFIG, 1, [define to use fontconfig])
-	TEXT_CFLAGS+=" $FONTCONFIG_CFLAGS"
+	TEXT_CFLAGS="$TEXT_CFLAGS $FONTCONFIG_CFLAGS"
 	AC_SUBST(TEXT_CFLAGS)
-	TEXT_LIBS+=" $FONTCONFIG_LIBS"
+	TEXT_LIBS="$TEXT_LIBS $FONTCONFIG_LIBS"
 	AC_SUBST(TEXT_LIBS)
-	FONT+="fontconfig (bold Gothic Uralic) "
+	FONT="$FONT fontconfig (bold Gothic Uralic) "
 fi
 
 if  test "x$TEXT_TYPE" = xFTGL -a "x$HAVE_FONTCONFIG" != xyes -a "x$FONT_PATH" = x ; then
@@ -228,7 +228,7 @@
 	AC_SUBST(IMAGE_LIBS)
 	IMAGE_TYPE=glpng
 	if test "x$WINDOW_TYPE" = xSDL -a "x$HAVE_SDLIMAGE" = xyes -a "x$enable_sdlimage" != no ; then
-		IMAGE_LIBS+=" -lSDL_image"
+		IMAGE_LIBS="$IMAGE_LIBS -lSDL_image"
 		AC_SUBST(IMAGE_LIBS)
 		AC_DEFINE(ENABLE_WINDOW_ICON, 1, [define to enable the window icon (needs SDL_image)])
 		WINDOW_ICON=yes
diff --git a/src/Audio.cpp b/src/Audio.cpp
index a852212..ac717af 100644
--- a/src/Audio.cpp
+++ b/src/Audio.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/Audio.h b/src/Audio.h
index b7c49cb..3b090d4 100644
--- a/src/Audio.h
+++ b/src/Audio.h
@@ -9,7 +9,7 @@
 #define Audio_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #define NUM_EXPLO		2
diff --git a/src/AudioOpenAL.cpp b/src/AudioOpenAL.cpp
index fdd9d19..50601e7 100644
--- a/src/AudioOpenAL.cpp
+++ b/src/AudioOpenAL.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef AUDIO_OPENAL
diff --git a/src/AudioOpenAL.h b/src/AudioOpenAL.h
index 582db9d..d388ee6 100644
--- a/src/AudioOpenAL.h
+++ b/src/AudioOpenAL.h
@@ -9,7 +9,7 @@
 #define AudioOpenAL_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef AUDIO_OPENAL
diff --git a/src/AudioSDLMixer.cpp b/src/AudioSDLMixer.cpp
index 5fbfa19..ba3f547 100644
--- a/src/AudioSDLMixer.cpp
+++ b/src/AudioSDLMixer.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef AUDIO_SDLMIXER
diff --git a/src/Config.cpp b/src/Config.cpp
index 71fb937..be6feb3 100644
--- a/src/Config.cpp
+++ b/src/Config.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/EnemyAircraft.cpp b/src/EnemyAircraft.cpp
index 049a4de..eef1de9 100644
--- a/src/EnemyAircraft.cpp
+++ b/src/EnemyAircraft.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/EnemyAircraft.h b/src/EnemyAircraft.h
index 6b99499..ff07325 100644
--- a/src/EnemyAircraft.h
+++ b/src/EnemyAircraft.h
@@ -9,7 +9,7 @@
 #define EnemyAircraft_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/EnemyAmmo.cpp b/src/EnemyAmmo.cpp
index 6636930..0c38b7a 100644
--- a/src/EnemyAmmo.cpp
+++ b/src/EnemyAmmo.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "EnemyAmmo.h"
diff --git a/src/EnemyAmmo.h b/src/EnemyAmmo.h
index 5dfc7c1..4f26b6f 100644
--- a/src/EnemyAmmo.h
+++ b/src/EnemyAmmo.h
@@ -9,7 +9,7 @@
 #define EnemyAmmo_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/EnemyFleet.cpp b/src/EnemyFleet.cpp
index b069c78..19adf41 100644
--- a/src/EnemyFleet.cpp
+++ b/src/EnemyFleet.cpp
@@ -11,7 +11,7 @@
 #include <cmath>
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/EnemyFleet.h b/src/EnemyFleet.h
index 0880be5..447d117 100644
--- a/src/EnemyFleet.h
+++ b/src/EnemyFleet.h
@@ -9,7 +9,7 @@
 #define EnemyFleet_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/Explosions.cpp b/src/Explosions.cpp
index fc390d6..5fdb6b6 100644
--- a/src/Explosions.cpp
+++ b/src/Explosions.cpp
@@ -10,7 +10,7 @@
 #include <cstdlib>
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/Explosions.h b/src/Explosions.h
index 078034c..b0f9312 100644
--- a/src/Explosions.h
+++ b/src/Explosions.h
@@ -9,7 +9,7 @@
 #define Explosions_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/Global.cpp b/src/Global.cpp
index 5ec606b..95c4bed 100644
--- a/src/Global.cpp
+++ b/src/Global.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/Ground.h b/src/Ground.h
index 8af35d6..ab1b777 100644
--- a/src/Ground.h
+++ b/src/Ground.h
@@ -9,7 +9,7 @@
 #define Ground_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/GroundMetal.cpp b/src/GroundMetal.cpp
index 112f822..4c31ada 100644
--- a/src/GroundMetal.cpp
+++ b/src/GroundMetal.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "GroundMetal.h"
diff --git a/src/GroundMetal.h b/src/GroundMetal.h
index b18357c..58b80d5 100644
--- a/src/GroundMetal.h
+++ b/src/GroundMetal.h
@@ -9,7 +9,7 @@
 #define GroundMetal_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/GroundMetalSegment.cpp b/src/GroundMetalSegment.cpp
index 859bb6d..72aab48 100644
--- a/src/GroundMetalSegment.cpp
+++ b/src/GroundMetalSegment.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "GroundMetalSegment.h"
diff --git a/src/GroundSea.cpp b/src/GroundSea.cpp
index 2d40146..e84040f 100644
--- a/src/GroundSea.cpp
+++ b/src/GroundSea.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "GroundSea.h"
diff --git a/src/GroundSea.h b/src/GroundSea.h
index a5b1778..bc06087 100644
--- a/src/GroundSea.h
+++ b/src/GroundSea.h
@@ -9,7 +9,7 @@
 #define GroundSea_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/GroundSeaSegment.cpp b/src/GroundSeaSegment.cpp
index 9fab74f..5a330a6 100644
--- a/src/GroundSeaSegment.cpp
+++ b/src/GroundSeaSegment.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "GroundSeaSegment.h"
diff --git a/src/HeroAircraft.cpp b/src/HeroAircraft.cpp
index 0a88716..b54319c 100644
--- a/src/HeroAircraft.cpp
+++ b/src/HeroAircraft.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "HeroAircraft.h"
diff --git a/src/HeroAircraft.h b/src/HeroAircraft.h
index 0835bec..46d1af9 100644
--- a/src/HeroAircraft.h
+++ b/src/HeroAircraft.h
@@ -9,7 +9,7 @@
 #define HeroAircraft_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/HeroAmmo.cpp b/src/HeroAmmo.cpp
index 233f230..4522e84 100644
--- a/src/HeroAmmo.cpp
+++ b/src/HeroAmmo.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/HeroAmmo.h b/src/HeroAmmo.h
index 601cc4e..6d0b9a8 100644
--- a/src/HeroAmmo.h
+++ b/src/HeroAmmo.h
@@ -9,7 +9,7 @@
 #define HeroAmmo_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/HiScore.cpp b/src/HiScore.cpp
index 09e5939..d72992b 100644
--- a/src/HiScore.cpp
+++ b/src/HiScore.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/Image.cpp b/src/Image.cpp
index 54b0aee..3ca62db 100644
--- a/src/Image.cpp
+++ b/src/Image.cpp
@@ -8,7 +8,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #if IMAGE_SDL
diff --git a/src/MainGL.cpp b/src/MainGL.cpp
index cabc868..581d831 100644
--- a/src/MainGL.cpp
+++ b/src/MainGL.cpp
@@ -8,7 +8,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/MainGLUT.cpp b/src/MainGLUT.cpp
index e5ff460..fdf9ae7 100644
--- a/src/MainGLUT.cpp
+++ b/src/MainGLUT.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
@@ -20,7 +20,11 @@
 #include <cstdlib>
 #include <unistd.h>
 
+#ifdef HAVE_GLUT_GLUT_H
+#include <GLUT/glut.h>
+#else
 #include <GL/glut.h>
+#endif
 
 #include "Config.h"
 #include "HiScore.h"
diff --git a/src/MainSDL.cpp b/src/MainSDL.cpp
index 7d58869..7e8051a 100644
--- a/src/MainSDL.cpp
+++ b/src/MainSDL.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/MainSDL_Event.cpp b/src/MainSDL_Event.cpp
index 9bf482e..a8425c8 100644
--- a/src/MainSDL_Event.cpp
+++ b/src/MainSDL_Event.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/MenuGL.cpp b/src/MenuGL.cpp
index 7934406..7e81590 100644
--- a/src/MenuGL.cpp
+++ b/src/MenuGL.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/MenuGL.h b/src/MenuGL.h
index db9be2e..b081e36 100644
--- a/src/MenuGL.h
+++ b/src/MenuGL.h
@@ -9,7 +9,7 @@
 #define MenuGL_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/PowerUps.cpp b/src/PowerUps.cpp
index 3aa1ca8..be7d77b 100644
--- a/src/PowerUps.cpp
+++ b/src/PowerUps.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/PowerUps.h b/src/PowerUps.h
index df06736..2087579 100644
--- a/src/PowerUps.h
+++ b/src/PowerUps.h
@@ -9,7 +9,7 @@
 #define PowerUps_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/ScreenItemAdd.cpp b/src/ScreenItemAdd.cpp
index f0d72bc..55250c0 100644
--- a/src/ScreenItemAdd.cpp
+++ b/src/ScreenItemAdd.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/StatusDisplay.cpp b/src/StatusDisplay.cpp
index bd8a9cf..8141198 100644
--- a/src/StatusDisplay.cpp
+++ b/src/StatusDisplay.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/StatusDisplay.h b/src/StatusDisplay.h
index 37d09d6..fd57169 100644
--- a/src/StatusDisplay.h
+++ b/src/StatusDisplay.h
@@ -9,7 +9,7 @@
 #define StatusDisplay_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/Text.cpp b/src/Text.cpp
index bf85012..95a97bb 100644
--- a/src/Text.cpp
+++ b/src/Text.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "Text.h"
diff --git a/src/Text.h b/src/Text.h
index 0708420..52a46fd 100644
--- a/src/Text.h
+++ b/src/Text.h
@@ -9,7 +9,7 @@
 #define Text_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 /**
diff --git a/src/TextFTGL.cpp b/src/TextFTGL.cpp
index ed1d6b4..ef38278 100644
--- a/src/TextFTGL.cpp
+++ b/src/TextFTGL.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef TEXT_FTGL
diff --git a/src/TextFTGL.h b/src/TextFTGL.h
index 242dfc2..087f2b8 100644
--- a/src/TextFTGL.h
+++ b/src/TextFTGL.h
@@ -9,7 +9,7 @@
 #define TextFTGL_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef TEXT_FTGL
diff --git a/src/TextGLC.cpp b/src/TextGLC.cpp
index 9ce4747..38684a4 100644
--- a/src/TextGLC.cpp
+++ b/src/TextGLC.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef TEXT_GLC
diff --git a/src/TextGLC.h b/src/TextGLC.h
index 4b1c0f5..c10ab99 100644
--- a/src/TextGLC.h
+++ b/src/TextGLC.h
@@ -9,7 +9,7 @@
 #define TextGLC_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #ifdef TEXT_GLC
diff --git a/src/define.h b/src/define.h
index f30e4f5..c9c0fbe 100644
--- a/src/define.h
+++ b/src/define.h
@@ -9,7 +9,7 @@
 #define define_h
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 //#define SRAND (2.0*(0.5-(rand()/(double)RAND_MAX)))
diff --git a/src/main.cpp b/src/main.cpp
index 02611c4..6fe40c6 100644
--- a/src/main.cpp
+++ b/src/main.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "gettext.h"
diff --git a/src/textGeometryBSU.cpp b/src/textGeometryBSU.cpp
index cbcadb5..c6a3651 100644
--- a/src/textGeometryBSU.cpp
+++ b/src/textGeometryBSU.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
diff --git a/src/textGeometryChromium.cpp b/src/textGeometryChromium.cpp
index 9b12cae..b0515e1 100644
--- a/src/textGeometryChromium.cpp
+++ b/src/textGeometryChromium.cpp
@@ -7,7 +7,7 @@
  */
 
 #ifdef HAVE_CONFIG_H
-#include <config.h>
+#include <chromium-bsu-config.h>
 #endif
 
 #include "compatibility.h"
